%This function executes when the "Set Blink Rate" button is pressed in the control window
%It sends a command to the Arduino which sets the laser blink rate
%Inputs:
%s - double - the handle of the open serial object
%blink_box - double - the handle of the text box containing the blink rate
%side - char - "R" or "L" indicating which side is currently selected
%Outputs:
%bRate - double - the period of the blink rate to which the laser is set

function bRate = blinkRate(s,blink_box,side)

if side == ''
	%The user has not specified which laser to set
    errordlg('Please select a side')
else
	%Read the value entered into the text box 
   str =  get(blink_box,'string');
   bRate = str2double(str);
   
   %Convert blink rate to 3 char string
   %Generate command of the form .XS### where s is either "R" or "L"
   %Write command to Arduino
   if length(str) == 1
       fwrite(s,['.Z' side '00' str])
   elseif length(str) == 2
       fwrite(s,['.Z' side '0' str])
   elseif length(str) == 3
       fwrite(s,['.Z' side str])
   else
	%Blink rate must be between 0 and 999
       errordlg('Invalid Blink Rate Format')
  
   end
end
end

   
   