%This function executes when the "Clear Plot" button is pressed in the display window
%It clears all data currently in the plot while retaining the buttons and axes
%Inputs: 
%qButton - double - handle of the "Quit" button in the display window
%lButton - double - handle of the "Load Data to Plot" button in the display window
%cButton - double - handle of the "Clear Data" button in the display window
%No Outputs

function clearPlot(qButton,lButton,cButton)

%Set the visibility of all three buttons in the plot window to off 
%so that they will not be erased from the figure
set(qButton,'HandleVisibility','off');
set(lButton,'HandleVisibility','off');
set(cButton,'HandleVisibility','off');
%Clear Figure
clf
%Reset the visibility of the buttons to on
set(qButton,'HandleVisibility','on');
set(lButton,'HandleVisibility','on');
set(cButton,'HandleVisibility','on');

%Redraw the blank axes
title('Perimiter Display Window')
hold on 
grid on
xlim([-180 180])
ylim([-90 90])
xlabel('Angle (deg)')
ylabel('Angle (deg)')