%This script is executed when the "Plot Visual Field" button is pressed in the control window
%It opens a new figure window to display perimeter data graphically ("Display Window")
%This script can also be executed independently of the control window to view previously collected data

%Open a new figure, set display parameters
n = figure;
set(n,'Color',[.8 1 .8])
set(n,'position',[360 502 650 420])
title('Perimeter Display')
hold on 
grid on
xlim([-180 180])
ylim([-90 90])
xlabel('Angle (deg)')
ylabel('Angle (deg)')

%Initialize variables for legend
numDataSets = 0;
blinkRates = [];
h4legend = [];


%Define a quit Button, which closes the display window when pressed
qButton = uicontrol('style','pushbutton','string','Quit','units','pixels',...
    'position',[565 365 70 20],'callback','close(n)');

%Define a load Data button, which loads additional data sets to the plot
lButton = uicontrol('style','pushbutton','string','Load Data to Plot','units','pixels',...
    'position',[550 320 100 20],'callback','numDataSets = numDataSets+1; [blinkRates h4legend RP RB LP LB] = load2plot(numDataSets,blinkRates,h4legend);');

%Define a clear data button, which clears all data from the plot
cButton = uicontrol('style','pushbutton','string','Clear Plot','units','pixels',...
    'position',[565 275 70 20],'callback','clearPlot(qButton,lButton,cButton); numDataSets = 0;blinkRates = []; h4legend = [];');