%This function executes when either "Laser On/Off" button is pressed
%It toggles the state of the laser between on and off by sending the apropriate commands to the Arduino
%Inputs:
%s - double - the handle of the open serial object
%laser_button - the handle of whichever "Laser On/Off" button was pressed
%side - char - either "R" or "L" corresponding to which "Laser On/Off" button was selected
%No Outputs

function lasertoggle(s,laser_button,side)

%Read the string currently displayed on the button
str = get(laser_button,'String');

if side == ''
	%The user has not specified which side
    errordlg('Please select a side')
else
	%If the string reads 'Laser On', the laser is currently off
    if strcmp(str,[side ' Laser On'])
		%Set button to "Off" button
        set(laser_button,'String',[side ' Laser Off'])
        set(laser_button,'BackgroundColor',[1 0 0])
		%Send .ZSON to the Arduino where "S" is "R" or "L" to turn the laser on
        fwrite(s,['.Z' side 'ON'])
        
    else
		%If the string reads 'Laser Off', the laser is currently on
		%Set button to "On" button
        set(laser_button,'String',[side ' Laser On'])
		set(laser_button,'BackgroundColor',[0 1 0])
		%Send .ZSOFF to the Arduino where "S" is "R" or "L" to turn the laser off
        fwrite(s,['.Z' side 'OFF'])
        
    end
end