%This function executes when the "Save Data" button is pressed in the controls window
%It saves the data to the .txt file listed in the associated text box in a user specified directory
%Inputs:
%bRate - double - the blink rate of the current data set
%angleData - matrix double (4,2) - current perimeter mode data
%blindSpotData - matrix double (4,2) - current blind spot mode data
%save_box - double - the handle of the text box containing the filename to save the data under
%No Outputs

function saveMyData(bRate,angleData,blindSpotData,save_box)

%Open a dialog box for user to select directory to save to
folderName = uigetdir('','Select Location to Save Data');
fileName = get(save_box,'string');


pathName = [folderName '\' fileName];

%Open selected file
f = fopen(pathName,'w');

%Print current data to file
fprintf(f,'%d \n', bRate);
fprintf(f,'%d %d \n',angleData(1,1), angleData(1,2));
fprintf(f,'%d %d \n',angleData(2,1), angleData(2,2));
fprintf(f,'%d %d \n',angleData(3,1), angleData(3,2));
fprintf(f,'%d %d \n',angleData(4,1), angleData(4,2));
fprintf(f,'%d %d \n',blindSpotData(1,1), blindSpotData(1,2));
fprintf(f,'%d %d \n',blindSpotData(2,1), blindSpotData(2,2));
fprintf(f,'%d %d \n',blindSpotData(3,1), blindSpotData(3,2));
fprintf(f,'%d %d \n',blindSpotData(4,1), blindSpotData(4,2));

%Close file
fclose(f);