%This function executes when any of the radio buttons in the "Select Axis" button group are selected
%It sets the value of the parameters axis and direction
%Inputs:
%chooseAxis - double - handle of button group
%The other 4 inputs are the handle of each button in the group respectively (double)
%Outputs:
%axis - char - "X" or "Y" indicating the selected axis
%direction - char - "P" or "N" indicating if the scan moves in the positive or negative 
%direction along the axis

function [axis direction] = selectAxis(chooseAxis,xPos_button,xNeg_button,yPos_button,yNeg_button)

axis = get(chooseAxis,'SelectedObject');

if axis == xPos_button
    axis = 'X';
    direction = 'P';
elseif axis == xNeg_button
    axis = 'X';
    direction = 'N';
elseif axis == yPos_button
    axis = 'Y';
    direction = 'P';
elseif axis == yNeg_button
    axis = 'Y';
    direction = 'N';
else
    errordlg('Please select and axis')
end